gamasses-methods {msbase} | R Documentation

## Determines clusters of masses in an Massvector

### Description

Determines clusters of masses in an Massvector. To determine abundant masses we compute two histograms for the dataset.

### Arguments

`object` | `Massvector` or `Massvectorlist`
`accur` | accuracy (bandwith) in Da
`abund` | how many masses should be in a cluster to be considered as abundant
`func` | A function with the following arguments: mass – e.g mass at which cluster was detected samplesize – number of peaks in the spectrum abund – how many masses should be in a cluster to be considered accur – bandwith sd – further arguments The function should return a `numeric` value indicating the threshold (number of peaks) that a cluster are considered as abundant. In the simplest case the function returns just the argument `abund`. (status: Testing, suggestions welcome.)

### Methods

object = "Massvector"
  ...
object = "Massvectorlist"
  ...

### Examples

    data(pldata)
    gamasses(pldata,abund=4)

[Package msbase version 1.5.0 Index]